Subject: RE: [PATCH 12/60] microblaze_v4: Generic dts file for platforms

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 02 Jul 2008 10:25:30 +1000

On Tue, 2008-07-01 at 08:58 -0700, Stephen Neuendorffer wrote:
> Doing this at the binary level would be nice, but I see enough problems
> just doing it at the source level and at least for my purposes, doing it
> on a dtb would be overkill, I think.   
> 
> The main difficulty remains how to deal with cross references between
> nodes in a reasonable way where the references cross from one fragment
> to another.

I would have those done in the toplevel .dts

You can always override the property with the reference....

Ie. you #include your CPU or your SOC for example, and then override
some property to point to something else using the override mechanism I
mentioned.

Ben.